classification
Title: Implement PEPs 3109, 3134
Type: behavior Stage:
Components: Interpreter Core, Library (Lib), Tests Versions: Python 3.0
process
Status: closed Resolution: accepted
Dependencies: Superseder:
Assigned To: collinwinter Nosy List: collinwinter, gvanrossum
Priority: normal Keywords: patch

Created on 2007-08-30 23:01 by collinwinter, last changed 2008-01-06 22:29 by admin. This issue is now closed.

Files
File name Uploaded Description Edit
raise.patch collinwinter, 2007-08-30 23:01
raise_stdlib.patch collinwinter, 2007-08-30 23:01
raise_tests.patch collinwinter, 2007-08-30 23:01
Messages (3)
msg55517 - (view) Author: Collin Winter (collinwinter) * (Python committer) Date: 2007-08-30 23:01
This does not implement __context__; it turned out to be much more
difficult than expected and will require some more thought. The new
raise syntax and the __traceback__ and __cause__ attributes are
implemented, however. This does not yet include a docs patch, though I'm
working on that now.
msg55519 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2007-08-30 23:52
Please check it in yourself.
msg55523 - (view) Author: Collin Winter (collinwinter) * (Python committer) Date: 2007-08-31 00:23
Committed as r57783.
History
Date User Action Args
2008-01-06 22:29:45adminsetkeywords: - py3k
versions: Python 3.0
2007-08-31 00:23:41collinwintersetmessages: + msg55523
2007-08-31 00:21:02collinwintersetstatus: open -> closed
2007-08-30 23:52:35gvanrossumsetassignee: gvanrossum -> collinwinter
resolution: accepted
messages: + msg55519
2007-08-30 23:01:58collinwintersetfiles: + raise_tests.patch
2007-08-30 23:01:47collinwintersetfiles: + raise_stdlib.patch
2007-08-30 23:01:36collinwintercreate